Go to the latest version of this document.

# ``twisted`.`trial`.`_dist`.`workerreporter``

module documentation
(source)

Test reporter forwarding test results over trial distributed AMP commands.

Present Since
12.3

Class | `ReportingResults` | A mutable container for the result of sending test results back to the parent process.
Class | `WorkerReporter` | Reporter for trial's distributed workers. We send things not through a stream, but through an `AMP` protocol's `callRemote` method.
Async Function | `addError` | Send an error to the worker manager over an AMP connection.
Async Function | `addExpectedFailure` | Like `addError` but for expected failures.
Async Function | `addFailure` | Like `addError` but for failures.
Type Variable | `T` | Undocumented

async def addError(amp: `AMP`, testName: `str`, errorClass: `str`, error: `str`, frames: `list[str]`): (source)

Send an error to the worker manager over an AMP connection.

First the pieces which can be large are streamed over the connection. Then, `managercommands.AddError` is called with the rest of the information and the stream IDs.

Parameters
amp:`AMP` | The connection to use.
testName:`str` | The name (or ID) of the test the error relates to.
errorClass:`str` | The fully qualified name of the error type.
error:`str` | The string representation of the error.
frames:`list[str]` | The lines of the traceback associated with the error.

async def addExpectedFailure(amp: `AMP`, testName: `str`, error: `str`, todo: `str`): (source)

Like `addError` but for expected failures.

Parameters
amp:`AMP` | See `addError`
testName:`str` | See `addError`
error:`str` | The string representation of the expected failure.
todo:`str` | The string description of the expectation.

async def addFailure(amp: `AMP`, testName: `str`, fail: `str`, failClass: `str`, frames: `list[str]`): (source)

Like `addError` but for failures.

Parameters
amp:`AMP` | See `addError`
testName:`str` | See `addError`
fail:`str` | The string representation of the failure.
failClass:`str` | The fully qualified name of the exception associated with the failure.
frames:`list[str]` | The lines of the traceback associated with the error.

T = (source)

Undocumented

Value

    TypeVar('T')